--- title: "getCloudMssqlInstanceList" slug: "database-vmssql-getcloudmssqlinstancelist" tags: ["Cloud DB for MSSQL"] updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmssql-getcloudmssqlinstancelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMssqlInstanceList Available in VPC Get the list of Cloud DB for MSSQL instances. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmssql/v2/getCloudMssqlInstanceList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for MSSQL (VPC) APIs, see [Cloud DB for MSSQL (VPC) request headers](/docs/en/database-vmssql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameter You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the Cloud DB for MSSQL instance to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `zoneCode` | String | Optional | Filter by zone code - See [getZoneList](/docs/en/compute-vserver-server-common-getzonelist) | | `vpcNo` | String | Optional | Filter by VPC number - See [getCloudMssqlTargetVpcList](/docs/en/database-vmssql-getcloudmssqltargetvpclist) | | `subnetNo` | String | Optional | Filter by subnet number - See [getCloudMssqlTargetSubnetList](/docs/en/database-vmssql-getcloudmssqltargetsubnetlist) | | `cloudMssqlServiceName` | String | Optional | Filter by Cloud DB for MSSQL service name - See [getCloudMssqlInstanceList](/docs/en/database-vmssql-getcloudmssqlinstancelist) | | `cloudMssqlInstanceNoList.N` | List[String] | Optional | Filter by Cloud DB for MSSQL instance number - See [getCloudMssqlInstanceList](/docs/en/database-vmssql-getcloudmssqlinstancelist) - `cloudMssqlInstanceNoList.1=1234&cloudMssqlInstanceNoList.2=2345` | | `cloudMssqlServerName` | String | Optional | Filter by Cloud DB for MSSQL server name - See [getCloudMssqlInstanceList](/docs/en/database-vmssql-getcloudmssqlinstancelist) | | `cloudMssqlServerInstanceNoList.N` | List[String] | Optional | Filter by Cloud DB for MSSQL server instance number - See [getCloudMssqlInstanceList](/docs/en/database-vmssql-getcloudmssqlinstancelist) - `cloudMssqlServerInstanceNoList.1=1234&cloudMssqlServerInstanceNoList.2=2345` | | `pageNo` | Integer | Optional | Page numbers in paged results - Page the result values using `pageNo` and `pageSize` - 0 (minimum) | | `pageSize` | Integer | Conditional | Number of results to display on a page - Page the result values using `pageNo` and `pageSize` - Required when entering `pageNo` - 1 - 1000 | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmssql/v2/getCloudMssqlInstanceList ?regionCode=KR &zoneCode=KR-1 &vpcNo=59*** &subnetNo=140*** &cloudMssqlServiceName=mssql004 &cloudMssqlServerName=m-2522****-002 &pageNo=0 &pageSize=1 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [CloudMssqlInstanceList](/docs/en/common-vapidatatype-cloudmssqlinstancelist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MSSQL (VPC) APIs, see [Cloud DB for MSSQL (VPC) response status codes](/docs/en/database-vmssql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getCloudMssqlInstanceListResponse": { "totalRows": 1, "cloudMssqlInstanceList": [ { "cloudMssqlInstanceNo": "2522****", "cloudMssqlServiceName": "mssql004", "cloudMssqlInstanceStatusName": "running", "cloudMssqlInstanceStatus": { "code": "CREAT", "codeName": "CLOUD DATABASE(VPC) Created State" }, "cloudMssqlInstanceOperation": { "code": "NULL", "codeName": "CLOUD DATABASE(VPC) Null OP" }, "cloudMssqlServerInstanceList": [ { "cloudMssqlServerInstanceNo": "2528****", "cloudMssqlServerName": "m-2522****-001", "cloudMssqlServerInstanceStatusName": "running", "cloudMssqlServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudMssqlServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE(VPC) Server Null OP" }, "vpcNo": "59***", "subnetNo": "140***", "dataStorageSize": 107374182400, "cpuCount": 2, "memorySize": 4294967296 }, { "cloudMssqlServerInstanceNo": "2528****", "cloudMssqlServerName": "m-2522****-002", "cloudMssqlServerInstanceStatusName": "running", "cloudMssqlServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudMssqlServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE(VPC) Server Null OP" }, "vpcNo": "59***", "subnetNo": "140***", "dataStorageSize": 107374182400, "cpuCount": 2, "memorySize": 4294967296 }, { "cloudMssqlServerInstanceNo": "2529****", "cloudMssqlServerName": "m-2522****-003", "cloudMssqlServerInstanceStatusName": "running", "cloudMssqlServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudMssqlServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE(VPC) Server Null OP" }, "vpcNo": "59***", "subnetNo": "140***", "dataStorageSize": 107374182400, "cpuCount": 2, "memorySize": 4294967296 } ] } ], "requestId": "cf2c1ae7-****-****-****-bcea41e82443", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` cf2c1ae7-****-****-****-bcea41e82443 0 success 1 2522**** mssql004 running CREAT CLOUD DATABASE(VPC) Created State NULL CLOUD DATABASE(VPC) Null OP 2528**** m-2522****-001 running RUN CLOUD DATABASE(VPC) Server Running State NOOP CLOUD DATABASE(VPC) Server Null OP 59*** 140*** 107374182400 2 4294967296 2528**** m-2522****-002 running RUN CLOUD DATABASE(VPC) Server Running State NOOP CLOUD DATABASE(VPC) Server Null OP 59*** 140*** 107374182400 2 4294967296 2529**** m-2522****-003 running RUN CLOUD DATABASE(VPC) Server Running State NOOP CLOUD DATABASE(VPC) Server Null OP 59*** 140*** 107374182400 2 4294967296 ```